#ifndef BASICSCORECARD_H
#define BASICSCORECARD_H

#include <QMainWindow>
#include "datahandling.h"

namespace Ui {
    class BasicScorecard;
}

class BasicScorecard : public QMainWindow {
    Q_OBJECT
public:
    BasicScorecard(QWidget *parent = 0);

private:
    Ui::BasicScorecard *ui;

    void loadPlayers();
    void drawPlayers();
    void saveShots();
    void loadShots();
    void loadCourses();
    void displayCourseData();
    void updateLeaderboard();
    void calculateHcpsPerCourse();
    void hideNotNeededFields();

    QStringList players;
    int scores[4][19];
    int hcp[4];
    int hcpPerCourse[4][19];
    int currentCourse;
    int hcpOrder[19];

    QStringList courseDataName;
    QStringList courseDataPar;
    QStringList courseDataHcp;
    QStringList courseDataWhite;
    QStringList courseDataYellow;
    QStringList courseDataRed;
    QStringList courseDataBlue;

private slots:
    void on_courseMap_clicked();
    void on_pushButton_prevCourse_clicked();
    void on_pushButton_nextCourse_clicked();
    void on_player4_down_clicked();
    void on_player4_up_clicked();
    void on_player3_down_clicked();
    void on_player3_up_clicked();
    void on_player2_down_clicked();
    void on_player2_up_clicked();
    void on_player1_down_clicked();
    void on_player1_up_clicked();
};

#endif // BASICSCORECARD_H
