#ifndef DATAHANDLING_H
#define DATAHANDLING_H

#include <QMainWindow>
#include <QList>
#include "player.h"
#include "courses.h"

class datahandling : public QMainWindow
{
    Q_OBJECT

public:
    static datahandling* instance();

    const QList<player>& getPlayers();
    void addPlayer(QString name,QString hcp,QString gender);

    const QList<course>& getCourses();
    void addCourses(QString name, QString file);

    const QList<courseData>& getCourseData();
    void addCourseData(QString name, QString par, double latitude, double longitude, QString country, QString city);

    const QList<courseCrMale>& getCourseCrMale();
    void addCourseCrMale(double white, double yellow, double blue, double red);

    const QList<courseCrFemale>& getCourseCrFemale();
    void addCourseCrFemale(double yellow, double blue, double red);

    const QList<courseSlopeMale>& getCourseSlopeMale();
    void addCourseSlopeMale(double white, double yellow, double blue, double red);

    const QList<courseSlopeFemale>& getCourseSlopeFemale();
    void addCourseSlopeFemale(double yellow, double blue, double red);

    const QList<holeData>& getHoleData();
    void addHoleData(QString id, QString hcp, QString par, QString map_uri);

    const QList<whiteTee>& getWhiteTee();
    void addWhiteTee(QString length, double latitude, double longitude);

    const QList<yellowTee>& getYellowTee();
    void addYellowTee(QString length, double latitude, double longitude);

    const QList<blueTee>& getBlueTee();
    void addBlueTee(QString length, double latitude, double longitude);

    const QList<redTee>& getRedTee();
    void addRedTee(QString length, double latitude, double longitude);

    const QList<greenInfo>& getGreenInfo();
    void addGreenInfo(double latitude, double longitude);

    void calculateHandicaps();

    void clearData();

    QString selectedCourse;

    QStringList selectedPlayers;
    QStringList selectedPlayersHcp;
    QStringList selectedPlayersTee;
    QStringList selectedPlayersHandicap;
    QStringList selectedPlayersGender;

private:
    static datahandling* m_instance;
    datahandling();
    QList<player> m_players;
    QList<course> m_courses;
    QList<courseData> m_courseData;
    QList<courseCrMale> m_courseCrMale;
    QList<courseCrFemale> m_courseCrFemale;
    QList<courseSlopeMale> m_courseSlopeMale;
    QList<courseSlopeFemale> m_courseSlopeFemale;
    QList<holeData> m_holeData;
    QList<whiteTee> m_whiteTee;
    QList<yellowTee> m_yellowTee;
    QList<blueTee> m_blueTee;
    QList<redTee> m_redTee;
    QList<greenInfo> m_greenInfo;




};



#endif // DATAHANDLING_H
